// $Id$
/**
* Copyright (C) 2015 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.molecular.handler;


import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.ui.IEditorPart;

import eu.etaxonomy.taxeditor.model.AbstractUtility;
import eu.etaxonomy.taxeditor.molecular.editor.AlignmentEditor;




/**
 * Abstract implementation for all handlers triggering actions in an active instance of
 * {@link AlignmentEditor}.
 *
 * @author Ben Stöver
 * @date 19.06.2015
 */
public abstract class AbstractAlignmentEditorHandler extends AbstractHandler {
    @Override
    public Object execute(ExecutionEvent event) throws ExecutionException {
        IEditorPart activeEditor = AbstractUtility.getActiveEditor();
        if (activeEditor instanceof AlignmentEditor) {
            doExecute(event, (AlignmentEditor)activeEditor);
        }
        return null;
    }


    public abstract void doExecute(ExecutionEvent event, AlignmentEditor editor) throws ExecutionException;
}
